### [https://www.npmjs.com/package/firewire](get firewire)

_Use this module with https://www.npmjs.com/package/firewire-angular_

# Install

Install into your public node_modules folder (if this doesn't make sense, check out https://www.npmjs.com/package/firewire).

    $ npm install firewire-angular-auth --save

# Add auth

## Add the file as a dependancy in your jade template

    script(src="/node_modules/firewire-angular-auth/index.js")

## Add the auth module as a dependancy in your angular app

You should also have firebase and firewireModule as dependancies.

    var app = angular.module('app', [
        "firebase",
        "firewireModule",
        "firewireAuthModule"
    ]);

Auth is now set up :)

# Add 'login' & 'i forgot my password' views

_Within your firewire-angular-auth module you should have 2 jade files. Move these to your views folder._

Now you can set up the following firewire route in index.js

    router.get('/user/:page', function(req, res, next) {
  	    firewire.wire(req,res,firewire.load,[]);
    });

Now when you go to localhost:3000/user/login you'll be greeted with a login screen.

... More to come ...